# Uses of Interface
org.opensaml.xmlsec.encryption.CipherData

Packages that use CipherData
Package
Description
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of CipherData in org.opensaml.xmlsec.encryption

Methods in org.opensaml.xmlsec.encryption that return CipherData
Modifier and Type
Method
Description
`CipherData`
EncryptedType.`getCipherData()`
Gets the CipherData child element.
Methods in org.opensaml.xmlsec.encryption with parameters of type CipherData
Modifier and Type
Method
Description
`void`
EncryptedType.`setCipherData(CipherData newCipherData)`
Sets the CipherData child element.

## Uses of CipherData in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement CipherData
Modifier and Type
Class
Description
`class`
`CipherDataImpl`
Concrete implementation of `CipherData`.
Fields in org.opensaml.xmlsec.encryption.impl declared as CipherData
Modifier and Type
Field
Description
`private CipherData`
EncryptedTypeImpl.`cipherData`
CipherData child element.
Methods in org.opensaml.xmlsec.encryption.impl that return CipherData
Modifier and Type
Method
Description
`CipherData`
CipherDataBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`CipherData`
CipherDataBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`CipherData`
EncryptedTypeImpl.`getCipherData()`
Gets the CipherData child element.
Methods in org.opensaml.xmlsec.encryption.impl with parameters of type CipherData
Modifier and Type
Method
Description
`void`
EncryptedTypeImpl.`setCipherData(CipherData newCipherData)`
Sets the CipherData child element.